---
title: 'HTMLCanvasElement: webglcontextcreationerror event'
slug: Web/API/HTMLCanvasElement/webglcontextcreationerror_event
tags:
  - WebGL
---
<div>{{APIRef}}</div>

<div>
<p>The <code><strong>webglcontextcreationerror</strong></code> event of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> is fired if the user agent is unable to create a {{domxref("WebGLRenderingContext")}} context.</p>

<p>This event has a {{domxref("WebGLContextEvent.statusMessage")}} property, which can contain a platform dependent string with more information about the failure.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("WebGLContextEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>none</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<pre class="brush: js">var canvas = document.getElementById('canvas');

canvas.addEventListener('webglcontextcreationerror', function(e) {
  console.log(e.statusMessage || 'Unknown error');
}, false);

var gl = canvas.getContext('webgl');
// logs statusMessage or "Unknown error" if unable to create WebGL context
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', '#5.15.4', 'webglcontextcreationerror')}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLCanvasElement.webglcontextcreationerror_event")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLContextEvent")}}</li>
 <li>{{domxref("WebGLRenderingContext.isContextLost()")}}</li>
 <li>{{domxref("WEBGL_lose_context")}}, {{domxref("WEBGL_lose_context.loseContext()")}}, {{domxref("WEBGL_lose_context.restoreContext()")}}</li>
</ul>
